ID CVE-2021-29477
Summary Redis is an open source (BSD licensed), in-memory data structure store, used as a database, cache, and message broker. An integer overflow bug in Redis version 6.0 or newer could be exploited using the `STRALGO LCS` command to corrupt the heap and potentially result with remote code execution. The problem is fixed in version 6.2.3 and 6.0.13. An additional workaround to mitigate the problem without patching the redis-server executable is to use ACL configuration to prevent clients from using the `STRALGO LCS` command.
References
Vulnerable Configurations
  • cpe:2.3:a:redislabs:redis:6.0.0:*:*:*:*:*:*:*
    cpe:2.3:a:redislabs:redis:6.0.0:*:*:*:*:*:*:*
  • cpe:2.3:a:redislabs:redis:6.0.1:*:*:*:*:*:*:*
    cpe:2.3:a:redislabs:redis:6.0.1:*:*:*:*:*:*:*
  • cpe:2.3:a:redislabs:redis:6.0.2:*:*:*:*:*:*:*
    cpe:2.3:a:redislabs:redis:6.0.2:*:*:*:*:*:*:*
  • cpe:2.3:a:redislabs:redis:6.0.3:*:*:*:*:*:*:*
    cpe:2.3:a:redislabs:redis:6.0.3:*:*:*:*:*:*:*
  • cpe:2.3:a:redislabs:redis:6.0.4:*:*:*:*:*:*:*
    cpe:2.3:a:redislabs:redis:6.0.4:*:*:*:*:*:*:*
  • cpe:2.3:a:redislabs:redis:6.0.5:*:*:*:*:*:*:*
    cpe:2.3:a:redislabs:redis:6.0.5:*:*:*:*:*:*:*
  • cpe:2.3:a:redislabs:redis:6.0.6:*:*:*:*:*:*:*
    cpe:2.3:a:redislabs:redis:6.0.6:*:*:*:*:*:*:*
  • cpe:2.3:a:redislabs:redis:6.0.7:*:*:*:*:*:*:*
    cpe:2.3:a:redislabs:redis:6.0.7:*:*:*:*:*:*:*
  • cpe:2.3:a:redislabs:redis:6.0.8:*:*:*:*:*:*:*
    cpe:2.3:a:redislabs:redis:6.0.8:*:*:*:*:*:*:*
  • cpe:2.3:a:redislabs:redis:6.0.9:*:*:*:*:*:*:*
    cpe:2.3:a:redislabs:redis:6.0.9:*:*:*:*:*:*:*
  • cpe:2.3:a:redislabs:redis:6.0.10:*:*:*:*:*:*:*
    cpe:2.3:a:redislabs:redis:6.0.10:*:*:*:*:*:*:*
  • cpe:2.3:a:redislabs:redis:6.0.11:*:*:*:*:*:*:*
    cpe:2.3:a:redislabs:redis:6.0.11:*:*:*:*:*:*:*
  • cpe:2.3:a:redislabs:redis:6.0.12:*:*:*:*:*:*:*
    cpe:2.3:a:redislabs:redis:6.0.12:*:*:*:*:*:*:*
  • cpe:2.3:a:redislabs:redis:6.2.0:-:*:*:*:*:*:*
    cpe:2.3:a:redislabs:redis:6.2.0:-:*:*:*:*:*:*
  • cpe:2.3:a:redislabs:redis:6.2.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:redislabs:redis:6.2.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:redislabs:redis:6.2.0:rc2:*:*:*:*:*:*
    cpe:2.3:a:redislabs:redis:6.2.0:rc2:*:*:*:*:*:*
  • cpe:2.3:a:redislabs:redis:6.2.0:rc3:*:*:*:*:*:*
    cpe:2.3:a:redislabs:redis:6.2.0:rc3:*:*:*:*:*:*
  • cpe:2.3:a:redislabs:redis:6.2.1:*:*:*:*:*:*:*
    cpe:2.3:a:redislabs:redis:6.2.1:*:*:*:*:*:*:*
  • cpe:2.3:o:fedoraproject:fedora:33:*:*:*:*:*:*:*
    cpe:2.3:o:fedoraproject:fedora:33:*:*:*:*:*:*:*
  • cpe:2.3:o:fedoraproject:fedora:34:*:*:*:*:*:*:*
    cpe:2.3:o:fedoraproject:fedora:34:*:*:*:*:*:*:*
CVSS
Base: 6.5 (as of 09-07-2021 - 09:15)
Impact:
Exploitability:
CWE CWE-190
CAPEC
  • Forced Integer Overflow
    This attack forces an integer variable to go out of range. The integer variable is often used as an offset such as size of memory allocation or similarly. The attacker would typically control the value of such variable and try to get it out of range. For instance the integer in question is incremented past the maximum possible value, it may wrap to become a very small, or negative number, therefore providing a very incorrect value which can lead to unexpected behavior. At worst the attacker can execute arbitrary code.
Access
VectorComplexityAuthentication
NETWORK LOW SINGLE
Impact
ConfidentialityIntegrityAvailability
PARTIAL PARTIAL PARTIAL
cvss-vector via4 AV:N/AC:L/Au:S/C:P/I:P/A:P
Last major update 09-07-2021 - 09:15
Published 04-05-2021 - 16:15
Last modified 09-07-2021 - 09:15
Back to Top